    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.applet.AppletContext

public interface AppletContext

This interface corresponds to an applet's environment: the document containing the applet and the other applets in the same document.

The methods in this interface can be used by an applet to obtain information about its environment.

##

getApplet(String)
  Finds and returns the applet in the document represented by this applet context with the given name.
getApplets()
  Finds all the applets in the document represented by this applet context.
getAudioClip(URL)
  Creates an audio clip.
getImage(URL)
  Returns an `Image` object that can then be painted on the screen.
showDocument(URL)
  Replaces the Web page currently being viewed with the given URL.
showDocument(URL, String)
  Requests that the browser or applet viewer show the Web page indicated by the `url` argument.
showStatus(String)
  Requests that the argument string be displayed in the "status window".

##

getAudioClip

     public abstract AudioClip getAudioClip(URL url)

  Creates an audio clip.

  Parameters:
    url - an absolute URL giving the location of the audio clip.
  Returns:
    the audio clip at the specified URL.

getImage

     public abstract Image getImage(URL url)

  Returns an `Image` object that can then be painted on the screen. The `url` argument`` that is passed as an argument must specify an absolute URL.

  This method always returns immediately, whether or not the image exists. When the applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

  Parameters:
    url - an absolute URL giving the location of the image.
  Returns:
    the image at the specified URL.
  See Also:
    Image

getApplet

     public abstract Applet getApplet(String name)

  Finds and returns the applet in the document represented by this applet context with the given name. The name can be set in the HTML tag by setting the `name` attribute.

  Parameters:
    name - an applet name.
  Returns:
    the applet with the given name, or `null` if not found.

getApplets

     public abstract Enumeration getApplets()

  Finds all the applets in the document represented by this applet context.

  Returns:
    an enumeration of all applets in the document represented by this applet context.

showDocument

     public abstract void showDocument(URL url)

  Replaces the Web page currently being viewed with the given URL. This method may be ignored by applet contexts that are not browsers.

  Parameters:
    url - an absolute URL giving the location of the document.

showDocument

     public abstract void showDocument(URL url,
                                       String target)

  Requests that the browser or applet viewer show the Web page indicated by the `url` argument. The `target` argument indicates in which HTML frame the document is to be displayed. The target argument is interpreted as follows:

  `"_self"` | Show in the window and frame that contain the applet.
  `"_parent"` | Show in the applet's parent frame. If the applet's frame has no parent frame, acts the same as "_self".
  `"_top"` | Show in the top-level frame of the applet's window. If the applet's frame is the top-level frame, acts the same as "_self".
  `"_blank"` | Show in a new, unnamed top-level window.
  name | Show in the frame or window named name. If a target named name does not already exist, a new top-level window with the specified name is created, and the document is shown there.

  An applet viewer or browser is free to ignore `showDocument`.

  Parameters:
    url - an absolute URL giving the location of the document.
    target - a `String` indicating where to display the page.

showStatus

     public abstract void showStatus(String status)

  Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

  Parameters:
    status - a string to display in the status window.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.